Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Uso da riga di comando ed esempi

Un uso tipico di Kst è dalla riga di comando per fare grafici X-Y o immagini Z di file di dati. Kst può leggere dati ASCII, o file binari compatibili con readdata o dirfile, e a scelta (con librerie esterne) immagini FITS, file PIOLib, file netCDF e file HEALPix FITS.

Sintassi della riga di comando di &kst;

## kst

Un programma per il tracciamento e la visualizzazione dei dati

Le opzioni sono:

    kst opzioni-Qt opzioni-KDE opzioni file

### Opzioni

`[file...]`

  Un file .kst, o uno o più file di dati. I formati supportati sono ASCII in colonne, file di fotogrammi BOOMERANG, file dirfile BLAST, o altri tipi supportati a scelta. Un file .kst raccoglie tutte le opzioni che possono essere impostate da altri flag. Si possono usare i flag seguenti per sostituire le opzioni impostate nel file .kst: `-F file_di_dati`, `-n NS`, `-s NS`, `-f F0`, `-a`. Il resto non può essere sostituito. Se viene dato un flag di sostituzione, è applicato a tutti i vettori nel grafico.

  I dati ASCII da stdin possono essere tracciati includendo "stdin" nell'elenco `[file...]`.

`-y Y`

  La sorgente dei dati per l'asse Y. Per i file ASCII, questa è la colonna. Per i file binari, questo è il nome del campo. Per tracciare più curve, può essere specificata più volte. Sono assunti lo stesso file sorgente, intervalli di campionamento, e dati dell'asse X.

`-e E`

  Barre di errore per i dati sull'asse Y. Per i file ASCII, riferisciti alla colonna contenente i dati. Per i file binari usa il nome del campo. Se sono date più opzioni `-y Y`, anche questa può essere usata più volte. Le singole voci Y sono associate in ordine con le varie voci E.

`-x X`

  La sorgente per i dati dell'asse X. Per i file ASCII, è la colonna. Per i file readdata, è il nome del campo. Se questa opzione non è specificata, sarà usato il numero della riga. Questa opzione può essere data una sola volta.

`-z Z`

  La sorgente per i dati della matrice Z (che viene visualizzata come immagine). Per i file ASCII, questa è la colonna che contiene i dati Z. Per gli altri formati opzionali (HEALPix, FITS image, ecc.), questo è il nome del campo desiderato della matrice, come visualizzato nella finestra della matrice. Alcune sorgenti compatibili con le matrici permettono anche di usare un alias che è il numero del campo matriciale desiderato. Per tracciare più matrici, si può specificare più volte.

`-p P`

  La sorgente per gli spettri di potenza. Per i file ASCII, è la colonna. Per i file binari, è il nome del campo. Per tracciare spettri di potenza di più curve, può essere specificata più volte. Sono usati lo stesso file sorgente, intervalli di campionamento e lunghezze FFT per tutti gli spettri di potenza richiesti dalla riga di comando.

`-l P`

  La lunghezza della FFT usata nella stima degli spettri di potenza è 2^P.

`-h H`

  La sorgente degli istogrammi. Per i file ASCII, è la colonna. Per i file binari, è il nome del campo. Più istogrammi possono essere definiti dalla riga di comando.

`-m NC`

  Usata quando sono state definite più curve. Piuttosto che tracciare tutte le curve nello stesso grafico, traccia ciascuna nel suo grafico.

`-f F0`

  Il numero del fotogramma (per i file readdata) o della riga (per i file ASCII) iniziale.

`-n`

  Il numero di fotogrammi (per i file readdata) o righe (per file ASCII) da leggere.

`-s NS`

  Il numero di fotogrammi o righe da saltare a ogni lettura. È utile quando si lavora con file di dati molto grandi, per accelerare la risposta e risparmiare memoria, nel caso che i dati cambino lentamente.

`-a`

  Usata insieme a `-s NS`: piuttosto che saltare ogni NS fotogrammi, fanne una media. Ciò produce una combinazione di filtraggio passa-alto, e risparmio di memoria.

`-F Filedati`

  Sostituisci il file da cui leggere i dati per tutti i vettori elencati nel file .kst. Può essere usata solo insieme a un file kst.

`--print fileps`

  Invece che visualizzare il grafico, esporta l'immagine a un file postscript ed esci. *Nota di errore: anche se non vengono aperte finestre sullo schermo, è comunque necessario l'accesso al server X.*

`--png filepng`

  Invece che visualizzare il grafico, esporta l'immagine a un file png di dimensioni 640×480 ed esci. *Nota di errore: anche se non vengono aperte finestre sullo schermo, è comunque necessario l'accesso al server X.*

### Esempi della riga di comando

Seguono diversi esempi di uso comune.

Per tracciare la colonna 1 di un file (tmp.dat) di dati ASCII:

    kst -y 1
    tmp.dat

Per tracciare le colonne 2, 3 e 4 sulla colonna 1 di un file ASCII, in un grafico:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

Per tracciare le colonne 2, 3 e 4 sulla colonna 1 di un file ASCII, in tre grafici, allineati in una colonna:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

Per tracciare 500 righe della colonna 2 di un file ASCII, partendo dalla riga 100:

    kst -y 2 -f 100 -n 500 tmp.dat

Per tracciare le prima 100˙000 righe della colonna 2 di un file ASCII, facendo la media ogni 100 righe:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(Usando una sorgente di dati HEALPix opzionale) per tracciare le prime tre mappe in un file HEALPix FITS in una griglia 2×2:

    kst -z 1 -z 2 -z 3 -m 2 healpix_esempio_sm.fits

(Usando una sorgente di dati HEALPix opzionale) Per tracciare una mappa con un nome di campo specifico in un file HEALPix FITS:

    kst -z "1 - TEMPERATURA (kelvin)" healpix_esempio_sm.fits